## Interface Swift_Mime_ParameterizedHeader

(line 19)

## Description

    Swift_Mime_Header
       |
       --Swift_Mime_ParameterizedHeader

Located in File: /vendors/swiftMailer/classes/Swift/Mime/ParameterizedHeader.php

##### A MIME Header with parameters.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
string getParameter ( $parameter)
void setParameter (string $parameter, string $value)

#### Method getParameter (line 33)

#### string getParameter( $parameter)

##### Get the value of $parameter.

#### Parameters

- $parameter:

#### Info

- access - public

#### Method setParameter (line 27)

#### void setParameter( string $parameter, string $value)

##### Set the value of $parameter.

#### Parameters

- string $parameter:
- string $value:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_Header

#### Swift_Mime_Header::getFieldBody() - Get the field body, prepared for folding into a final header value.

#### Swift_Mime_Header::getFieldBodyModel() - Get the model for the field body.

#### Swift_Mime_Header::getFieldName() - Get the name of this header (e.g. Subject).

#### Swift_Mime_Header::getFieldType() - Get the type of Header that this instance represents.

#### Swift_Mime_Header::setCharset() - Set the charset used when rendering the Header.

#### Swift_Mime_Header::setFieldBodyModel() - Set the model for the field body.

#### Swift_Mime_Header::toString() - Get this Header rendered as a compliant string.

Documentation generated on Fri, 12 Nov 2010 20:45:27 +0000 by phpDocumentor 1.4.3